import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import vuetify from "./plugins/vuetify";
import VideoBackground from "vue-responsive-video-background-player";
import VuePageTransition from "vue-page-transition";
import AOS from "aos";
import "aos/dist/aos.css";

Vue.config.productionTip = false;
Vue.component("video-background", VideoBackground);

Vue.use(VuePageTransition);

new Vue({
  created() {
    AOS.init();
  },
  router,
  store,
  vuetify,
  render: h => h(App)
}).$mount("#app");
